Index: VulkanGame.vcxproj.filters
===================================================================
--- VulkanGame.vcxproj.filters	(revision ca188cc7ea4ef98087537c5eda6b1e7f8b9c6481)
+++ VulkanGame.vcxproj.filters	(revision 3b7d4970dceeff33d77df2de5074fb85023aa4e6)
@@ -2,214 +2,116 @@
 <Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup>
-    <Filter Include="Source Files">
-      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
-      <Extensions>cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
-    </Filter>
-    <Filter Include="Header Files">
-      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
-      <Extensions>h;hh;hpp;hxx;hm;inl;inc;ipp;xsd</Extensions>
-    </Filter>
-    <Filter Include="Resource Files">
-      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
-      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav;mfcribbon-ms</Extensions>
-    </Filter>
-    <Filter Include="Resource Files\shaders">
-      <UniqueIdentifier>{f728dc8f-c896-46f8-afb7-e77c569833a7}</UniqueIdentifier>
-    </Filter>
-    <Filter Include="Resource Files\assets">
-      <UniqueIdentifier>{3d051cf0-94c4-4038-9d77-f12b05bd470a}</UniqueIdentifier>
-    </Filter>
-    <Filter Include="Resource Files\assets\images">
-      <UniqueIdentifier>{191a06b7-9c89-4627-a5ce-d07e0df6fafa}</UniqueIdentifier>
-    </Filter>
-    <Filter Include="Resource Files\assets\fonts">
-      <UniqueIdentifier>{25332d4b-2044-4690-92b9-291221f7f14c}</UniqueIdentifier>
-    </Filter>
-    <Filter Include="gui">
-      <UniqueIdentifier>{63c7afe4-1e6e-4612-aa3e-c28207de6664}</UniqueIdentifier>
-    </Filter>
-    <Filter Include="docs">
-      <UniqueIdentifier>{f89e9750-13af-4ca0-9daa-f3d1649f5054}</UniqueIdentifier>
-    </Filter>
-  </ItemGroup>
-  <ItemGroup>
-    <ClCompile Include="main-vulkan.cpp">
-      <Filter>Source Files</Filter>
+    <ClCompile Include="crash-logger.cpp" />
+    <ClCompile Include="FileStackWalker.cpp" />
+    <ClCompile Include="game-gui-sdl.cpp" />
+    <ClCompile Include="gui\button.cpp" />
+    <ClCompile Include="gui\game-screen.cpp" />
+    <ClCompile Include="gui\main-screen.cpp" />
+    <ClCompile Include="gui\panel.cpp" />
+    <ClCompile Include="gui\screen.cpp" />
+    <ClCompile Include="gui\ui-element.cpp" />
+    <ClCompile Include="logger.cpp" />
+    <ClCompile Include="main-vulkan.cpp" />
+    <ClCompile Include="StackWalker.cpp" />
+    <ClCompile Include="utils.cpp" />
+    <ClCompile Include="vulkan-game.cpp" />
+    <ClCompile Include="vulkan-utils.cpp" />
+    <ClCompile Include="IMGUI\imgui.cpp">
+      <Filter>IMGUI</Filter>
     </ClCompile>
-    <ClCompile Include="vulkan-game.cpp">
-      <Filter>Source Files</Filter>
+    <ClCompile Include="IMGUI\imgui_demo.cpp">
+      <Filter>IMGUI</Filter>
     </ClCompile>
-    <ClCompile Include="crash-logger.cpp">
-      <Filter>Source Files</Filter>
+    <ClCompile Include="IMGUI\imgui_draw.cpp">
+      <Filter>IMGUI</Filter>
     </ClCompile>
-    <ClCompile Include="game-gui-sdl.cpp">
-      <Filter>Source Files</Filter>
+    <ClCompile Include="IMGUI\imgui_impl_sdl.cpp">
+      <Filter>IMGUI</Filter>
     </ClCompile>
-    <ClCompile Include="FileStackWalker.cpp">
-      <Filter>Source Files</Filter>
+    <ClCompile Include="IMGUI\imgui_impl_vulkan.cpp">
+      <Filter>IMGUI</Filter>
     </ClCompile>
-    <ClCompile Include="StackWalker.cpp">
-      <Filter>Source Files</Filter>
+    <ClCompile Include="IMGUI\imgui_widgets.cpp">
+      <Filter>IMGUI</Filter>
     </ClCompile>
-    <ClCompile Include="logger.cpp">
-      <Filter>Source Files</Filter>
-    </ClCompile>
-    <ClCompile Include="vulkan-utils.cpp">
-      <Filter>Source Files</Filter>
-    </ClCompile>
-    <ClCompile Include="utils.cpp">
-      <Filter>Source Files</Filter>
-    </ClCompile>
-    <ClCompile Include="gui\button.cpp">
-      <Filter>gui</Filter>
-    </ClCompile>
-    <ClCompile Include="gui\game-screen.cpp">
-      <Filter>gui</Filter>
-    </ClCompile>
-    <ClCompile Include="gui\main-screen.cpp">
-      <Filter>gui</Filter>
-    </ClCompile>
-    <ClCompile Include="gui\panel.cpp">
-      <Filter>gui</Filter>
-    </ClCompile>
-    <ClCompile Include="gui\screen.cpp">
-      <Filter>gui</Filter>
-    </ClCompile>
-    <ClCompile Include="gui\ui-element.cpp">
-      <Filter>gui</Filter>
+    <ClCompile Include="sdl-game.cpp">
+      <Filter>IMGUI SDL Reference</Filter>
     </ClCompile>
   </ItemGroup>
   <ItemGroup>
-    <ClInclude Include="vulkan-game.hpp">
-      <Filter>Header Files</Filter>
+    <ClInclude Include="compiler.hpp" />
+    <ClInclude Include="consts.hpp" />
+    <ClInclude Include="crash-logger.hpp" />
+    <ClInclude Include="FileStackWalker.h" />
+    <ClInclude Include="game-gui-sdl.hpp" />
+    <ClInclude Include="game-gui.hpp" />
+    <ClInclude Include="graphics-pipeline.hpp" />
+    <ClInclude Include="graphics-pipeline_vulkan.hpp" />
+    <ClInclude Include="gui\button.hpp" />
+    <ClInclude Include="gui\game-screen.hpp" />
+    <ClInclude Include="gui\main-screen.hpp" />
+    <ClInclude Include="gui\panel.hpp" />
+    <ClInclude Include="gui\screen.hpp" />
+    <ClInclude Include="gui\ui-element.hpp" />
+    <ClInclude Include="logger.hpp" />
+    <ClInclude Include="StackWalker.h" />
+    <ClInclude Include="utils.hpp" />
+    <ClInclude Include="vulkan-game.hpp" />
+    <ClInclude Include="vulkan-utils.hpp" />
+    <ClInclude Include="IMGUI\imconfig.h">
+      <Filter>IMGUI</Filter>
     </ClInclude>
-    <ClInclude Include="consts.hpp">
-      <Filter>Header Files</Filter>
+    <ClInclude Include="IMGUI\imgui.h">
+      <Filter>IMGUI</Filter>
     </ClInclude>
-    <ClInclude Include="crash-logger.hpp">
-      <Filter>Header Files</Filter>
+    <ClInclude Include="IMGUI\imgui_impl_sdl.h">
+      <Filter>IMGUI</Filter>
     </ClInclude>
-    <ClInclude Include="game-gui.hpp">
-      <Filter>Header Files</Filter>
+    <ClInclude Include="IMGUI\imgui_impl_vulkan.h">
+      <Filter>IMGUI</Filter>
     </ClInclude>
-    <ClInclude Include="game-gui-sdl.hpp">
-      <Filter>Header Files</Filter>
+    <ClInclude Include="IMGUI\imgui_internal.h">
+      <Filter>IMGUI</Filter>
     </ClInclude>
-    <ClInclude Include="FileStackWalker.h">
-      <Filter>Header Files</Filter>
+    <ClInclude Include="IMGUI\imstb_rectpack.h">
+      <Filter>IMGUI</Filter>
     </ClInclude>
-    <ClInclude Include="StackWalker.h">
-      <Filter>Header Files</Filter>
+    <ClInclude Include="IMGUI\imstb_textedit.h">
+      <Filter>IMGUI</Filter>
     </ClInclude>
-    <ClInclude Include="compiler.hpp">
-      <Filter>Header Files</Filter>
+    <ClInclude Include="IMGUI\imstb_truetype.h">
+      <Filter>IMGUI</Filter>
     </ClInclude>
-    <ClInclude Include="logger.hpp">
-      <Filter>Header Files</Filter>
-    </ClInclude>
-    <ClInclude Include="vulkan-utils.hpp">
-      <Filter>Header Files</Filter>
-    </ClInclude>
-    <ClInclude Include="graphics-pipeline.hpp">
-      <Filter>Header Files</Filter>
-    </ClInclude>
-    <ClInclude Include="graphics-pipeline_vulkan.hpp">
-      <Filter>Header Files</Filter>
-    </ClInclude>
-    <ClInclude Include="utils.hpp">
-      <Filter>Header Files</Filter>
-    </ClInclude>
-    <ClInclude Include="gui\button.hpp">
-      <Filter>gui</Filter>
-    </ClInclude>
-    <ClInclude Include="gui\game-screen.hpp">
-      <Filter>gui</Filter>
-    </ClInclude>
-    <ClInclude Include="gui\main-screen.hpp">
-      <Filter>gui</Filter>
-    </ClInclude>
-    <ClInclude Include="gui\panel.hpp">
-      <Filter>gui</Filter>
-    </ClInclude>
-    <ClInclude Include="gui\screen.hpp">
-      <Filter>gui</Filter>
-    </ClInclude>
-    <ClInclude Include="gui\ui-element.hpp">
-      <Filter>gui</Filter>
-    </ClInclude>
-    <ClInclude Include="gui\ui-value.hpp">
-      <Filter>gui</Filter>
+    <ClInclude Include="sdl-game.hpp">
+      <Filter>IMGUI SDL Reference</Filter>
     </ClInclude>
   </ItemGroup>
   <ItemGroup>
-    <None Include="shaders\overlay.frag">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\overlay.vert">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\scene.frag">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\scene.vert">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="assets\laser.xcf">
-      <Filter>Resource Files\assets</Filter>
-    </None>
-    <None Include="shaders\ship.frag">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\ship.vert">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\asteroid.frag">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\asteroid.vert">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\explosion.frag">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\explosion.vert">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\laser.frag">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
-    <None Include="shaders\laser.vert">
-      <Filter>Resource Files\shaders</Filter>
-    </None>
+    <Image Include="assets\images\spaceship.bmp" />
   </ItemGroup>
   <ItemGroup>
-    <Image Include="assets\images\spaceship.bmp">
-      <Filter>Resource Files\assets\images</Filter>
-    </Image>
+    <Font Include="assets\fonts\lazy.ttf" />
   </ItemGroup>
   <ItemGroup>
-    <Font Include="assets\fonts\lazy.ttf">
-      <Filter>Resource Files\assets\fonts</Filter>
-    </Font>
+    <None Include="assets\laser.xcf" />
+    <None Include="shaders\asteroid.frag" />
+    <None Include="shaders\asteroid.vert" />
+    <None Include="shaders\overlay.frag" />
+    <None Include="shaders\overlay.vert" />
+    <None Include="shaders\scene.frag" />
+    <None Include="shaders\scene.vert" />
+    <None Include="shaders\ship.frag" />
+    <None Include="shaders\ship.vert" />
   </ItemGroup>
   <ItemGroup>
-    <Text Include="docs\DESIGN.txt">
-      <Filter>docs</Filter>
-    </Text>
-    <Text Include="docs\notes.txt">
-      <Filter>docs</Filter>
-    </Text>
-    <Text Include="docs\README.txt">
-      <Filter>docs</Filter>
-    </Text>
-    <Text Include="docs\scene-notes.txt">
-      <Filter>docs</Filter>
-    </Text>
-    <Text Include="docs\TODO.txt">
-      <Filter>docs</Filter>
-    </Text>
-    <Text Include="docs\upgrade-TODO.txt">
-      <Filter>docs</Filter>
-    </Text>
+    <Text Include="scene-notes.txt" />
+  </ItemGroup>
+  <ItemGroup>
+    <Filter Include="IMGUI">
+      <UniqueIdentifier>{65ca0179-33c5-4f22-a933-8d8aaa1f2ae9}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="IMGUI SDL Reference">
+      <UniqueIdentifier>{e540b46d-7c98-427d-a28d-4fc20d495826}</UniqueIdentifier>
+    </Filter>
   </ItemGroup>
 </Project>
